.cmw-clients-logos-block {
    opacity: 0;
    transition: opacity 1s;
    --max-logo-height: 3.7rem;
    --contain-intrinsic-width: 200px;
    --space-between-logos: 48px;
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
    position: relative;
}

.cmw-clients-logos-block .cmw-client-logos div.slider-img-div {
    width: 5rem;
    justify-content: center;
    display: inline-flex;
        vertical-align: middle;
}
.cmw-clients-logos-block .cmw-client-logos {
    overflow: hidden;
    white-space: nowrap;
}
.brands-logos__fade-start {
    background: linear-gradient(90deg, #fff 0, #fff 30%, transparent);
    position: absolute;
    inset-inline-start: 0;
    bottom: 0;
    top: 0;
    pointer-events: none;
    z-index: 2;
    width: 104px;
}
.brands-logos__fade-end{
    background: linear-gradient(270deg, #fff 0, #fff 30%, transparent);
    position: absolute;
    inset-inline-end: 0;
    bottom: 0;
    top: 0;
    pointer-events: none;
    z-index: 2;
    width: 104px;
}

.wp-block-columns.cmw-client-logo-header-div {
    gap: 2.5rem;
    display: flex;
    flex-direction: row;
    align-items: center !important;
}
.cmw-client-logo-header {
    width: 35%;
    display: flex;
    align-items: center;
}
.cmw-client-logos-container {
    width: 65%;
    min-width: auto;
}
.cmw-client-logo-header h2, 
.ray-running-text .cmw-client-logo-header h2,
.single-landing_page .page-wrapper .cmw-client-logo-header h2{
    font-size: 1.25rem;
    margin-bottom: 0;
    line-height: 1.3;
    text-wrap: balance;
        margin-top: 0;
    width: 100%;
}

@media (min-width: 1195px) {
    .brands-logos__fade-end {
        width: 120px;
    }
    .brands-logos__fade-start {
        width: 120px;
    }
      .cmw-clients-logos-block .cmw-client-logos div.slider-img-div{
        width: 7.5rem;
      }
      .cmw-clients-logos-block {
        --space-between-logos: 80px;
      }
}
@media (min-width: 768px){
    .cmw-clients-logos-block .cmw-client-logos div.slider-img-div{
        width: 6rem;
    }
}
@media (prefers-reduced-motion:reduce) {
    .cmw-clients-logos-block .cmw-client-logos {
        overflow: scroll;
    }

    .cmw-clients-logos-block .cmw-client-logos > .cmw-client-logos-slide:nth-child(2) {
        display: none;
    }

    .cmw-clients-logos-block .cmw-client-logos .cmw-client-logos-slide {
        animation: none;
    }
}

.cmw-clients-logos-block .cmw-client-logos div.slider-img-div {
    display: inline-block;
    margin-right: var(--space-between-logos);
}

.cmw-clients-logos-block .cmw-client-logos div.slider-img-div img {
    object-fit: contain;
    width: 100%;
}

.cmw-clients-logos-block .cmw-client-logos  img:is([sizes="auto" i], [sizes^="auto," i]) {
    contain-intrinsic-size: revert;
    contain-intrinsic-width: auto var(--contain-intrinsic-width);
}



.cmw-clients-logos-block .cmw-client-logos:hover .cmw-client-logos-slide {
    animation-play-state: paused;
}

@keyframes slide {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-100%);
    }
}

.cmw-clients-logos-block .cmw-client-logos-slide {
    display: inline-block;
    animation: 35s slide infinite linear;
    background-color: white;
    width: max-content;
}


.cmw-clients-logos-block .cmw-client-logos-slide > img { /* logo without link */
    margin-right: var(--space-between-logos);
}

@media (max-width: 765px){
    .wp-block-columns.cmw-client-logo-header-div{
        gap: 1.25rem;
    }
    .cmw-client-logo-header{
        justify-content: center;
    }
    .cmw-client-logo-header h2{
        text-align: center;
    }
}
@media (max-width: 375px) {
    .cmw-clients-logos-block {
        --max-logo-height: 32px;
        --contain-intrinsic-width: 150px;
    }
}

.debug.cmw-clients-logos-block .cmw-clients-logos-block .cmw-client-logos-slide img {
    border: 1px solid red;
}

.debug.cmw-clients-logos-block .cmw-client-logos img{
    border: 1px solid;
}